Subject: [PATCHv2 00/27] ARM: OMAP2+: clock code migration to drivers/clk/ti

From: [email-masked] (Tero Kristo)
Date: Thu, 21 May 2015 09:38:10 +0300

On 05/21/2015 01:40 AM, Paul Walmsley wrote:
> On Tue, 19 May 2015, Tero Kristo wrote:
>
>> Any news on this? As noted previously, I am not able to reproduce the issue
>> you are seeing currently, can you give DEBUG_LL a shot?
>
> Yeah I just bisected it, it was caused by this:
>
> commit cc4a5fe972ad7834e8662b49b3a5fdb597e9e15e
> Author: Felipe Balbi <[email-masked]>
> Date:   Fri Jan 30 11:18:56 2015 -0600
>
>      arm: config: omap2plus_defconfig: switch over to LZMA compression
>
>      LZMA compression makes about 33% smaller zImage
>      with just a slight extra decompression time.
>
>      Before this patch, zImage built with o2+_dc
>      is 4.5MiB and after it's about 3.3MiB.
>
>      Suggested-by: David Cohen <[email-masked]>
>      Signed-off-by: Felipe Balbi <[email-masked]>
>      Signed-off-by: Tony Lindgren <[email-masked]>
>
>
> and the timeouts on the testbed being set to fail if a kernel takes longer
> than five seconds to start.  Seems that the part about a "slight extra
> decompression time" probably only applies to relatively recent chips.
>
>
> - Paul
>

Oh, so this explains why I was thinking it took very long time to boot 
the recent kernels also. The boot lag is clearly noticeable without any 
measurement. I wonder if we should probably revert this patch.

-Tero